<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{145,137,1022,650}</property>
    <property name="Name">[_kits.scr]</property>
    <property name="Caption">[Composicoes Cadastradas]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-16" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL zBlkPrd = {|nPcod| se_prod->(nPcod<>pcod.and.dbseek(nPcod)), se_prod->pdesc }
//skel VARIAVEL zBlkPrdProd = {|nPcod| se_prod->(nPcod<>pcod.and.dbseek(nPcod)), se_prod->pItemProb }
//skel VARIAVEL zBlU={|| DbSetFilter({||mqDevol>0},'mqDevol>0'), DbGoTop(), DobRefresh(d_ob)}
//skel VARIAVEL zBlV={|| DbSetFilter({||pgpreco="?"},'pgpreco="?"'), DbGoTop(), DobRefresh(d_ob)}
//skel VARIAVEL zBlX={|| DbClearFilter(), DbGoTop(), DobRefresh(d_ob)}

oContextMenu:=Hwg_ContextMenu()

hwg_Btn(oToolbar,10,595,100,24)
hwg_TbMt(oToolbar,'27;Eval(zBlU);Devolvidas;Exibe apenas itens sendo devolvidos;sembitmap;;;Lucida Bright;-11;&1.Devolvidas;;6;')
hwg_TbMt(oToolbar,'27;Eval(zBlV);Problematicos;Exibe apenas itens Problematicos;sembitmap;;;Lucida Bright;-11;&2.Problematicos;;6;')
hwg_TbMt(oToolbar,'27;Eval(zBlX);Todos;Exibe todos os itens passiveis de devolucao;sembitmap;;;Lucida Bright;-11;&3.Todos;;6;')

SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
 
SET(5,1960)]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,620,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,96,996,477}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[D_oB:Alias := alias()
hwg_TbFi(@d_ob, 'Devolvidas;mqDevol;N;999999;10;S;')
hwg_TbFi(@d_ob, 'Locadas;Quant;N;999999;6;N;')
hwg_TbFi(@d_ob, 'Descricao;eVal(zBlkPrd,Cod);P;@S35;35;N;')
hwg_TbFi(@d_ob, 'Aditivo;Abs(pfNum);P;9999999999;10;S;')
hwg_TbFi(@d_ob, 'Problema;eVal(zBlkPrdProd,Cod);P;!;1;N;')
hwg_TbFi(@d_ob, 'Pendentes;Quant-mqDevol;P;9999999;10;N;')
hwg_TbFi(@d_ob, 'Prod;Cod;N;999999;6;N;')

D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"sf_pnmv",.F.,.T.,{||.T.} }
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{12,4,816,68}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">
[Se necessario, tecle enter sobre a coluna com quantidades devolvidas para alterar a distribuicao automatica feita pelo sistema]      </property>
      <property name="Justify">[Right]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Arial" width="0" height="-24" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{264,66,421,22}</property>
      <property name="Name">[oEdit1]</property>
      <property name="varName">[wcCrNome]</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
</part>
